declare type UsePaginationProps = {
    data: {
        count: number;
        page: number;
        pageSize: number;
        [key: string]: any;
    };
};
declare const usePagination: ({ data }: UsePaginationProps) => {
    total: number;
    current: number;
    pageSize: number;
    size: string;
    showSizeChanger: boolean;
};
export default usePagination;
